ForStatement (Groovy 3.0.9)

Package org.codehaus.groovy.ast.stmt

## Class ForStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces:
    `NodeMetaDataHandler`, `LoopingStatement`

      public class ForStatement
      extends Statement
      implements LoopingStatement

  Represents a standard for loop in Groovy

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForStatement​(Parameter variable, Expression collectionExpression, Statement loopBlock)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getCollectionExpression()` |
    `Statement` | `getLoopBlock()` | Gets the loop block.
    `Parameter` | `getVariable()` |
    `VariableScope` | `getVariableScope()` |
    `ClassNode` | `getVariableType()` |
    `void` | `setCollectionExpression​(Expression collectionExpression)` |
    `void` | `setLoopBlock​(Statement loopBlock)` | Sets the loop block.
    `void` | `setVariableScope​(VariableScope variableScope)` |
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### FOR_LOOP_DUMMY

          public static final Parameter FOR_LOOP_DUMMY

  - ### Constructor Detail

    - #### ForStatement

          public ForStatement​(Parameter variable,
                              Expression collectionExpression,
                              Statement loopBlock)

  - ### Method Detail

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getCollectionExpression

          public Expression getCollectionExpression()

    - #### getLoopBlock

          public Statement getLoopBlock()

      Description copied from interface: `LoopingStatement`
      Gets the loop block.
      Specified by:
        `getLoopBlock` in interface `LoopingStatement`

    - #### getVariable

          public Parameter getVariable()

    - #### getVariableType

          public ClassNode getVariableType()

    - #### setCollectionExpression

          public void setCollectionExpression​(Expression collectionExpression)

    - #### setVariableScope

          public void setVariableScope​(VariableScope variableScope)

    - #### getVariableScope

          public VariableScope getVariableScope()

    - #### setLoopBlock

          public void setLoopBlock​(Statement loopBlock)

      Description copied from interface: `LoopingStatement`
      Sets the loop block.
      Specified by:
        `setLoopBlock` in interface `LoopingStatement`